Doc

    Name: dirtque.sql

    Author: Mark Gurry

    This script lists the Dirty Queue Length. The longer the queue length, the
    more trouble the dbwr is having keeping up.

#

set pagesize 9999

spool dirtque.lis

ttitle 'The Average Length of the Write Request Queue'

column  "Write Request Length" format 999,999.99

select sum( decode (name, 'summed dirty queue length', value))
               /
       sum( decode (name, 'write requests', value)) "Write Request Length"
  from v$sysstat
 where  name in ( 'summed dirty queue length'
                 ,'write requests')
   and  value > 0
/

spool off



