Doc

    Name:   analyzed.sql

    Author Mark Gurry

    This simple script lists how many tables are analyzed and how
    many aren't. If you are using the COST based optimizer, having some
    analyzed and others not in a table join can cause horrendous 
    performance.

#

column owner format a16
column "Chained Rows" format 99,999
column table_name format a26
column analyzed   format a16
ttitle 'Tables that Are Analyzed (Summary by Owner)'
select owner, 
	   sum(decode(nvl(num_rows,9999), 9999,0,1)) "Tables Analyzed"
	   sum(decode(nvl(num_rows,9999), 9999,1,0)) "Tables Not Analyzed"
  from all_tables
 where owner not in ('SYS', 'SYSTEM')
 group by owner; 