doc

    Name:    blkwrits.sql

    Author:  Mark Gurry

    The following query shows the number of cross instance operations 
    that caused writes to the database and the number of blocks written.

#

SELECT value / (a.counter + b.counter + c.counter) "Ping Rate"
   FROM v$sysstat,
              v$lock_activity a,
              v$lock_activity b,
              v$lock_activity c
 WHERE  a.from_val = 'X'
       AND a.to_val       = 'NULL'
       AND b.from_val = 'X'
       AND b.to_val       = 'S'
       AND c.from_val  = 'X'
       AND c.to_val        = 'SSX'
       AND name            = 'DBWR cross instance writes';