doc

    Name:    psconvert.sql

    Author:  Mark Gurry

    The following query shows the lock conversion ratio. If the ratio 
    falls below 95% after you have tuned parallel server, it is likely
    that your site will not scale if you have to add additional nodes
    and instances.

#

SELECT (a.value - b.value) * 100 
                           /
                   (a.value)  "Lock Conversion Ratio"
  FROM v$sysstat a, v$sysstat b
 WHERE a.name = 'consistent gets'
   AND b.name = 'async lock converts';