##  Shell script to perform a cold database backup to disk 
##  in a number of parallel streams.



Script "cold_backup.sh" :
+++++++++++++++++++++++++

#! /bin/sh
#
#  cold_backup.sh : This script compresses all database datafiles to a number
#                   of spare disks
#

# Paramters : 1) Source Disk Identifier
#             2) Destination Disk Identifier

./cold_cp.sh 1 09 &
./cold_cp.sh 2 09 &
./cold_cp.sh 3 10 &
./cold_cp.sh 4 10 &

cp /dsk5/PRD/admin/control1.dbf /dsk09/spare/Cold_Bkup

for i in ls /dsk5/PRD/redo/* 
do
   compress < ${i} > /dsk09/spare/Cold_Bkup/basename ${i}.Z
done



Script "cold_cp.sh" :
+++++++++++++++++++

#! /bin/ksh
#
# cold_cp.sh : This script compress all datafiles on disk ${1} to spare disk ${2}.
#

for i in ls /dsk${1}/PRD/db/* 
do
   compress < ${i} > /dsk${2}/spare/Cold_Bkup/basename ${i}.Z
done
	