##  DBA Command Post - hit_ratio.sql


col log_reads  format 999,999,999,999
col phy_reads  format 999,999,999,999
col phy_writes format 999,999,999,999
col ratio      format 999.000000

select A.value + B.value Log_Reads, 
       C.value           Phy_Reads,
       round(100*(A.value + B.value - C.value) / (A.value + B.value),6) Ratio,
       D.value Phy_Writes
from   v$sysstat A, v$sysstat B, v$sysstat C, v$sysstat D
where  A.name = 'db block gets'
and    B.name = 'consistent gets'
and    C.name = 'physical reads'
and    D.name = 'physical writes'
/
	