##  DBA Command Post - quotas.sql


set pagesize 65
set newpage 0

column  username format a25 heading 'Username'
column  tablespace_name format a25 heading 'Tablespace'
column  used format 9,999,999,999 heading 'Bytes Used'
compute sum of used on username        
break on username skip 1 on report

select owner username, tablespace_name, 
       sum(bytes) used
from   sys.dba_segments 
group 
    by owner, tablespace_name 
order 
    by 1, 3 desc
/

compute sum of used on tablespace_name 
break on tablespace_name skip 1 on report

select tablespace_name, owner username, 
       sum(bytes) used
from   sys.dba_segments 
group 
    by owner, tablespace_name 
order 
    by 1, 3 desc
/
	