## Examples of the effect of "AND" and "OR" clauses 
## on SQL performance


    SELECT  . . . .                Total CPU = 156.3 Sec
    FROM    EMP E
    WHERE   EMP_SALARY > 50,000
    AND     EMP_TYPE   = MANAGER
    AND     25         < ( SELECT  COUNT(*)
                           FROM    EMP
                           WHERE   EMP_MGR = E.EMP_NO );



    SELECT  . . . .                Total CPU = 10.6 Sec
    FROM    EMP E
    WHERE   25         < ( SELECT  COUNT(*)
                           FROM    EMP
                           WHERE   EMP_MGR = E.EMP_NO )
    AND     EMP_SALARY > 50,000
    AND     EMP_TYPE   = MANAGER;




    SELECT  . . . .                Total CPU = 28.3 Sec
    FROM    EMP E
    WHERE ( EMP_SALARY > 50,000
        AND EMP_TYPE   = MANAGER )
    OR      25         < ( SELECT  COUNT(*)
                           FROM    EMP
                           WHERE   EMP_MGR = E.EMP_NO );



    SELECT  . . . .                Total CPU = 101.6 Sec
    FROM    EMP E
    WHERE   25         < ( SELECT  COUNT(*)
                           FROM    EMP
                           WHERE   EMP_MGR = E.EMP_NO )
    OR    ( EMP_SALARY > 50,000
        AND EMP_TYPE   = MANAGER );
