## Try using EXISTS in place of TABLE JOINS


   SELECT . . .                     SELECT . . .
   FROM   DEPT D,                   FROM   DEPT D,
          EMP  E                           EMP E
   WHERE  E.DEPT_NO  = D.DEPT_NO    WHERE  E.DEPT_NO = D.DEPT_NO
   AND    E.EMP_TYPE = MANAGER    AND  ( E.EMP_TYPE = MANAGER
   AND    D.DEPT_CAT = 'A';             OR D.DEPT_CAT = A     );


## To improve performance, specify:

   SELECT . . .
   FROM   EMP E
   WHERE  EXISTS     ( SELECT X' 
                       FROM   DEPT
                       WHERE  DEPT_NO  = E.DEPT_NO
                       AND    DEPT_CAT = 'A' )
   AND    E.EMP_TYPE = MANAGER


   SELECT . . .
   FROM   EMP E
   WHERE  E.EMP_TYPE = MANAGER
   OR     EXISTS     ( SELECT X' 
                       FROM   DEPT
                       WHERE  DEPT_NO  = E.DEPT_NO
                       AND    DEPT_CAT = 'A' )
N