## Try using UNION or IN in place of OR

   SELECT . . .                     SELECT . . .
   FROM   LOCATION                  FROM   LOCATION
   WHERE  LOC_ID = 10               WHERE  LOC_ID = 10
   OR     REGION = 'MELBOURNE'      OR     LOC_ID = 20
                                    OR     LOC_ID = 30


## To improve performance, replace this code with:

   SELECT . . .                     SELECT . . .
   FROM   LOCATION                  FROM   LOCATION
   WHERE  LOC_ID = 10               WHERE  LOC_IN IN (10,20,30)
   UNION
   SELECT . . . 
   FROM   LOCATION
   WHERE  REGION = 'MELBOURNE'
