## Examples of how to reduce PL/SQL "bind variable" overheads

   BEGIN
       IF  :EMP_SAL <= 2000  THEN
           :EMP_INT := 0;
       END IF;
            
       IF  :EMP_VAL >= 8001  THEN
           :EMP_INT := (:EMP_VAL * 25 ) / 100;
       END IF;
   END;


   DECLARE
       SAL_VAL  NUMBER;
       TAX_VAL  NUMBER;
   BEGIN
       SAL_VAL  :=  :EMP_SAL;
       IF  SAL_VAL <= 2000  THEN
           TAX_VAL := 0;
       END IF;
       IF  SAL_VAL >= 8001  THEN
           TAX_VAL := (SAL_VAL * 25 ) / 100;
       END IF;
       :EMP_INT := TAX_VAL;
   END;


   FUNCTION CALC_TAX  ( SAL_VAL IN NUMBER ) RETURN NUMBER IS
   BEGIN
       IF  SAL_VAL <= 2000  THEN
           RETURN (0);
       END IF;
       IF  SAL_VAL >= 2001  AND
           SAL_VAL <= 8000  THEN
           RETURN (SAL_VAL * 15 ) / 100;
       END IF;
       IF  SAL_VAL >= 2001  AND
           SAL_VAL <= 8000  THEN
           RETURN ( (SAL_VAL * 15 ) / 100);
       END IF;           
   END;
